# Copyright (c) 2013, University of Bristol and University of Southampton.

from EStat.Templating import Template

class TemplateSAEData(Template):
    'Create datasets from user choices for use in the SAE eBook.'

    __version__ = '1.0.0'

    tags = [ 'Data manipulation', 'SAE' ]
    engines = ['Python_script']

    inputs = '''
sampdata = DataFileChooser('Sample dataset: ', options=datasets.list_datasets())
popdata = DataFileChooser('Population dataset: ', options=datasets.list_datasets())
#vars = DataMatrix('Which variables do you want to use in your model?: ', data_src=sampdata)
'''

    pythonscript = '''
import numpy
import numexpr

import EStat
from EStat.Templating import *
from EStat.DTAFile import DTAFile

sampdata = globals()[str(sampdata)]
popdata = globals()[str(popdata)]

#filtsampdata = DTAFile()
#filtsampdata.nobs = sampdata.nobs
#for k in vars:
#    filtsampdata.addvariable(k, data = sampdata.variables[k]['data'])
outputs['template1-dataset'] = sampdata
outputs['template2-dataset'] = sampdata
outputs['template3-dataset'] = sampdata
outputs['template4-dataset'] = sampdata
outputs['_popdata'] = popdata
'''
